# Code for "SDR -- half-baked or well done?"

[[1] Jonathan Le Roux, Scott Wisdom, Hakan Erdogan, and John R. Hershey. "SDR -- half-baked or well done?" Proc. IEEE International Conference on Acoustics, Speech, and Signal Processing (ICASSP), pp. 626-630, May 2019.](https://arxiv.org/pdf/1811.02508.pdf)

This code was written in 2018 to create Figures 2-4 for the paper [1]. If you find this code or the paper useful, please cite the paper [1].

The code is provided as-is, with no expectation of maintenance. It is intended to be run with python2, and a requirements.txt file is provided.

`make_figures.sh`: Recreates figures 2-4 from paper [1] in the `figures` folder:

* Figure 2: `figures/filter.pdf` and `figures/spectrograms.pdf`

* Figure 3: `figures/metrics_vs_deleted_bins_withsdsdr.pdf`

* Figure 4: `figures/metrics_vs_gain_subplots_mask_stft_fcenter-max_spec_withsdsdr.pdf`
