#!/bin/bash
# Optimize time-invariant STFT mask to minimize SI-SDR, then plot optimized
# filter and SDR's estimated filter (figures/filter.pdf) and plot spectrograms
# of noisy and filtered signal (figures/spectrograms.pdf).
python -u find_sdr_filter.py
# Plot SDR, SNR, SI-SDR, SD-SDR versus proportion of deleted frequency bins
# (figures/metrics_vs_deleted_bins_withsdsdr).
python -u plot_sdr_vs_masked_frequency_bins.py
# Plot SDR, SNR, SI-SDR, SD-SDR versus bandstop gain
# (figures/metrics_vs_gain_subplots_mask_stft_fcenter-max_spec_withsdsdr).
python -u plot_sdr_vs_filter_gain.py
